GQdk {lme4} | R Documentation

## Sparse Gaussian / Gauss-Hermite Quadrature grid

### Description

Generate the sparse multidimensional Gaussian quadrature grids.

Currently unused. See `GHrule()` for the version currently in use in package lme4.

### Usage

      GQdk(d = 1L, k = 1L)
      GQN

### Arguments

`d` | integer scalar - the dimension of the function to be integrated with respect to the standard `d`-dimensional Gaussian density.
`k` | integer scalar - the order of the grid. A grid of order `k` provides an exact result for a polynomial of total order of `2k - 1` or less.

### Value

`GQdk()` returns a matrix with `d + 1` columns. The first column is the weights and the remaining `d` columns are the node coordinates.

`GQN` is a `list` of lists, containing the non-redundant quadrature nodes and weights for integration of a scalar function of a `d`-dimensional argument with respect to the density function of the `d`-dimensional Gaussian density function.
The outer list is indexed by the dimension, `d`, in the range of 1 to 20. The inner list is indexed by `k`, the order of the quadrature.

### Note

`GQN` contains only the non-redundant nodes. To regenerate the whole array of nodes, all possible permutations of axes and all possible combinations of +/- 1 must be applied to the axes. This entire array of nodes is exactly what `GQdk()` reproduces.

The number of nodes gets very large very quickly with increasing `d` and `k`. See the charts at http://www.sparse-grids.de.

### Examples

    GQdk(2,5) # 53 x 3

    GQN[[3]][[5]] # a 14 x 4 matrix

[Package lme4 version 1.1-21 Index]